Undo an applied local Autopilot page action
curl --request POST \
--url https://www.getsurfaced.ai/api/v1/autopilot/plans/{planId}/undo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-Id: <x-workspace-id>' \
--data '
{
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://www.getsurfaced.ai/api/v1/autopilot/plans/{planId}/undo"
payload = {
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Workspace-Id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
targetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
requestId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://www.getsurfaced.ai/api/v1/autopilot/plans/{planId}/undo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.getsurfaced.ai/api/v1/autopilot/plans/{planId}/undo",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'targetId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'requestId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Workspace-Id: <x-workspace-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.getsurfaced.ai/api/v1/autopilot/plans/{planId}/undo"
payload := strings.NewReader("{\n \"targetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Workspace-Id", "<x-workspace-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.getsurfaced.ai/api/v1/autopilot/plans/{planId}/undo")
.header("X-Workspace-Id", "<x-workspace-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"targetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.getsurfaced.ai/api/v1/autopilot/plans/{planId}/undo")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '<x-workspace-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"schema": "closure_page_action_restore_result.v1",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"strategy": "update_existing_page",
"updateReceiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restoreId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourcePageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restoredRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redoRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restoredAt": "2023-11-07T05:31:56Z",
"restoredBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remoteCmsMutated": false,
"remoteSyncRequired": true,
"idempotent": true
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}Autopilot
Undo an applied local Autopilot page action
deprecated
Restores the exact pre-action workspace revision for one applied update, metadata, FAQ, or internal-link target. The server derives strategy, source page, revision, workspace, and apply receipt from the durable plan and target. It refuses recovery after newer local edits, never mutates the live CMS, and remains available while execution switches are off.
POST
/
autopilot
/
plans
/
{planId}
/
undo
Undo an applied local Autopilot page action
curl --request POST \
--url https://www.getsurfaced.ai/api/v1/autopilot/plans/{planId}/undo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-Id: <x-workspace-id>' \
--data '
{
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://www.getsurfaced.ai/api/v1/autopilot/plans/{planId}/undo"
payload = {
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Workspace-Id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
targetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
requestId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://www.getsurfaced.ai/api/v1/autopilot/plans/{planId}/undo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.getsurfaced.ai/api/v1/autopilot/plans/{planId}/undo",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'targetId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'requestId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Workspace-Id: <x-workspace-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.getsurfaced.ai/api/v1/autopilot/plans/{planId}/undo"
payload := strings.NewReader("{\n \"targetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Workspace-Id", "<x-workspace-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.getsurfaced.ai/api/v1/autopilot/plans/{planId}/undo")
.header("X-Workspace-Id", "<x-workspace-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"targetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.getsurfaced.ai/api/v1/autopilot/plans/{planId}/undo")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '<x-workspace-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"schema": "closure_page_action_restore_result.v1",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"strategy": "update_existing_page",
"updateReceiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restoreId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourcePageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restoredRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redoRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restoredAt": "2023-11-07T05:31:56Z",
"restoredBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remoteCmsMutated": false,
"remoteSyncRequired": true,
"idempotent": true
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}Authorizations
API key (sk_live_...) created at https://www.getsurfaced.ai/app/settings/account/api-keys